Bug 200770 - www/phpbb3 update to 3.0.14
Summary: www/phpbb3 update to 3.0.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-10 16:02 UTC by sirdice
Modified: 2015-07-25 12:01 UTC (History)
2 users (show)

See Also:
linimon: maintainer-feedback?


Attachments
Update to 3.1.5 (134.29 KB, patch)
2015-06-22 19:32 UTC, Florian Smeets
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sirdice 2015-06-10 16:02:25 UTC
Could somebody update www/php3 to 3.0.14 please?

As 3.0.x will be End-of-Life in November could 3.1.x be added to the ports tree? Preferably using www/php31 so both 3.0.x and 3.1.x are available.

www/phpbb should probably be removed. The 2.0.x branch has been End-of-Life for quite some time (since January 2009) and may contain a lot of security issues.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-06-10 16:34:21 UTC
There is no www/php3 port.  Are you referring to www/phpbb3?
Comment 2 sirdice 2015-06-11 14:24:00 UTC
Oops. Yes, I meant phpbb3.
Comment 3 Marco Steinbach 2015-06-11 19:26:23 UTC
Mailed updated port to original requestor for testing. No response yet.
Comment 4 Marco Steinbach 2015-06-11 19:42:41 UTC
Original requestor != SirDice :)
Comment 5 sirdice 2015-06-15 08:58:49 UTC
Received updated port. Hopefully I'll have some time tonight to test it. Will report back as soon as possible.
Comment 6 Florian Smeets freebsd_committer 2015-06-22 19:32:19 UTC
Created attachment 157990 [details]
Update to 3.1.5

- update to 3.1.5
- don't chown all files to www, only the required directories
Comment 7 commit-hook freebsd_committer 2015-07-25 12:00:35 UTC
A commit references this bug:

Author: flo
Date: Sat Jul 25 12:00:18 UTC 2015
New revision: 392880
URL: https://svnweb.freebsd.org/changeset/ports/392880

Log:
  - Update to 3.1.5
  - don't make all files/directories writable by the web server, only the ones
    phpbb3 actually needs to write to

  PR:		200770
  Approved by:	maintainer timeout
  Committed from:	Essen FreeBSD Hackathon

Changes:
  head/www/phpbb3/Makefile
  head/www/phpbb3/distinfo
  head/www/phpbb3/pkg-plist
Comment 8 Florian Smeets freebsd_committer 2015-07-25 12:01:46 UTC
Patch was committed.